# Class SnpSiftCmdAlleleMatrix

java.lang.Object
org.snpsift.SnpSift
org.snpsift.SnpSiftCmdAlleleMatrix

All Implemented Interfaces:
  `org.snpeff.snpEffect.commandLine.CommandLine, org.snpeff.snpEffect.VcfAnnotator`

public class SnpSiftCmdAlleleMatrix extends SnpSift
Convert VCf file to allele matrix Note: Only use SNPs Note: Only variants with two possible alleles. I.e. the matrix has three possible values in each cell: - 0, for allele 0/0 - 1, for allele 0/1 or 1/0 - 2, for allele 1/1

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static String`
`SEPARATOR`
`static int`
`SHOW_EVERY`

### Fields inherited from class SnpSift

`args, BUILD, command, config, configFile, dataDir, dbFileName, dbTabix, dbType, debug, download, EMPTY_ARGS, errCount, genomeVersion, help, log, needsConfig, needsDb, needsGenome, numWorkers, output, quiet, REVISION, saveOutput, shiftArgs, SHOW_EVERY_VCFLINES, showVcfHeader, showVersion, SOFTWARE_NAME, suppressOutput, vcfHeaderAddProgramVersion, vcfHeaderProcessed, vcfInputFile, verbose, VERSION, VERSION_MAJOR, VERSION_NO_NAME, VERSION_SHORT`

## Constructor Summary

Constructors
Constructor
Description
`SnpSiftCmdAlleleMatrix()`

## Method Summary

Modifier and Type
Method
Description
`void`
`parseArgs(String[] args)`
Parse command line arguments
`int`
`processStr(org.snpeff.vcf.VcfEntry vcfEntry, StringBuilder sbcodes)`
Process a VCF entry and return a string (tab separated values)
`boolean`
`run()`
Process the whole VCF file
`void`
`usage(String msg)`
Show usage message

### Methods inherited from class SnpSift

`addHeaders, annotate, annotateFinish, annotateInit, cmd, commandLineStr, databaseDownload, databaseFind, error, getArgs, getConfig, getConfigFile, getOutput, headers, init, isOpt, loadConfig, main, openVcfInputFile, processVcfHeader, setCommand, setCommand, setConfig, setConfigFile, setDbFileName, setDebug, setQuiet, setSaveOutput, setShowVcfHeader, setShowVersion, setSuppressOutput, setVcfHeaderAddProgramVersion, setVerbose, showCmd, showVersion, unSanitize, usageGenericAndDb`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SEPARATOR

public static String SEPARATOR

### SHOW_EVERY

public static int SHOW_EVERY

## Constructor Details

### SnpSiftCmdAlleleMatrix

public SnpSiftCmdAlleleMatrix()

## Method Details

### parseArgs

public void parseArgs(String[] args)
Parse command line arguments

Specified by:
  `parseArgs` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `parseArgs` in class `SnpSift`

### processStr

public int processStr(org.snpeff.vcf.VcfEntry vcfEntry, StringBuilder sbcodes)
Process a VCF entry and return a string (tab separated values)

### run

public boolean run()
Process the whole VCF file

Specified by:
  `run` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `run` in class `SnpSift`

### usage

public void usage(String msg)
Show usage message

Specified by:
  `usage` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `usage` in class `SnpSift`